import {
  TransitionalStyles
} from "./chunk.JMP5YJFE.js";
import {
  GdsElement
} from "./chunk.6X2WDWO3.js";
import {
  gdsCustomElement,
  html
} from "./chunk.MLXMQIEV.js";
import {
  __decorateClass
} from "./chunk.SEHSDSX2.js";

// libs/core/src/components/grouped-list/grouped-list.ts
import { property } from "lit/decorators.js";
import { when } from "lit/directives/when.js";
var GdsGroupedList = class extends GdsElement {
  constructor() {
    super(...arguments);
    this.label = "";
  }
  connectedCallback() {
    super.connectedCallback();
    TransitionalStyles.instance.apply(this, "gds-grouped-list");
  }
  render() {
    return html`${when(
      this.label,
      () => html`<div class="gds-list-heading" aria-hidden="true" id="label">
            ${this.label}
          </div>`
    )}
      <div role="list" aria-labelledby="label">
        <slot></slot>
      </div>`;
  }
};
__decorateClass([
  property()
], GdsGroupedList.prototype, "label", 2);
GdsGroupedList = __decorateClass([
  gdsCustomElement("gds-grouped-list")
], GdsGroupedList);

export {
  GdsGroupedList
};
