import {
  GdsElement
} from "./chunk.6X2WDWO3.js";
import {
  gdsCustomElement,
  html
} from "./chunk.MLXMQIEV.js";
import {
  __decorateClass
} from "./chunk.SEHSDSX2.js";

// libs/core/src/components/popover/backdrop.ts
import { css } from "lit";
import { property } from "lit/decorators.js";
var GdsBackdrop = class extends GdsElement {
  constructor() {
    super(...arguments);
    this.show = false;
  }
  render() {
    return html``;
  }
};
GdsBackdrop.styles = css`
    :host {
      display: none;
      position: fixed;
      inset: 0;
      background-color: rgba(0, 0, 0, 0.25);
      width: 100%;
      height: 100%;
    }

    :host([show]) {
      display: block;
    }
  `;
__decorateClass([
  property({ type: Boolean, reflect: true })
], GdsBackdrop.prototype, "show", 2);
GdsBackdrop = __decorateClass([
  gdsCustomElement("gds-backdrop")
], GdsBackdrop);

export {
  GdsBackdrop
};
