import { GdsElement } from '../../../gds-element';
import '../../button';
import '../../icon/icons/checkmark.js';
/**
 * @element gds-filter-chip
 * @status stable
 *
 * * @slot Content of the Filter chip
 */
export declare class GdsFilterChip<ValueT = any> extends GdsElement {
    static styles: import("lit").CSSResult[];
    /**
     * Whether the chip is selected
     */
    selected: boolean;
    /**
     * The value of the chip
     */
    value?: ValueT;
    connectedCallback(): void;
    private _button;
    render(): any;
}
