import { GdsElement } from '../../gds-element';
import '../../components/button';
import '../../components/icon/icons/circle-info';
import '../../components/card';
/**
 * @element gds-form-control-header
 *
 * @slot label - The label of the form control.
 * @slot supporting-text - The supporting text of the form control.
 * @slot extended-supporting-text - The extended supporting text, or "Show more info" card, of the form control.
 */
export declare class GdsFormControlHeader extends GdsElement {
    #private;
    static styles: import("lit").CSSResult[];
    /**
     * Whether the supporting text should be displayed or not.
     */
    showExtendedSupportingText: boolean;
    private _hasExtendedSupportingText;
    private _extendedSupportingText?;
    render(): any;
}
